Bug 1418225

Summary: nautilus does not honor system umask when started from gnome-shell
Product: [Fedora] Fedora Reporter: lapseofreason0
Component: nautilusAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: cosimo.cecchi, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:34:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description lapseofreason0 2017-02-01 10:23:18 UTC
Description of problem:
Nautilus started from gnome shell does not respect umask from /etc/profile and /etc/login.defs (pam_umask). Instead, it creates new folders with umask 0022.

Version-Release number of selected component (if applicable):
nautilus-3.22.2-1.fc25.x86_64
gnome-session-3.22.2-3.fc25.x86_64
gnome-shell-3.22.2-2.fc25.x86_64
gnome-terminal-3.22.1-2.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. Set umask to 0077 in /etc/profile and /etc/login.defs and restart.
2. Open nautilus from gnome shell.
3. Create a folder.

Actual results:
Permissions of new folder are drwxr-xr-x.

Expected results:
Permissions of new folder are drwx------.

Additional info:
If nautilus is openend from gnome-terminal, the permissions respect the umask set in /etc/profile or /etc/login.defs.

At first I thought this was related to Wayland (https://bugzilla.redhat.com/show_bug.cgi?id=1149905), but it also happens in Xorg.

Comment 1 Christian Persch 2017-11-01 22:43:48 UTC
Likely https://bugzilla.gnome.org/show_bug.cgi?id=780622 .

Comment 2 Fedora End Of Life 2017-11-16 18:33:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:34:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.